<template>
	<v-navigation-drawer floating class="text-white" color="#282828">
		<v-toolbar-title class="pt-7 pl-14 pb-12">
			<span class="mt-4 font-weight-medium">Demo Test</span>
		</v-toolbar-title>

		<v-list>
			<v-list-item
				color="rgba(255, 255, 255, 0.20)"
				class="px-8 py-3"
				v-for="(item, index) in sidebarLinks"
				:key="index"
				:prepend-icon="item.icon"
				:title="item.title"
				:value="item"
				@click="() => handleLinkClick(item.to)"
			/>
		</v-list>
	</v-navigation-drawer>
</template>

<script>
export default {
	name: 'Sidebar',

	data() {
		return {
			sidebarLinks: [
				{ title: 'Profile', to: '/profile', icon: 'mdi-account' },
				{ title: 'Vehicles', to: '/vehicles', icon: 'mdi-car-cog' },
				{ title: 'Setting', to: '/setting', icon: 'mdi-cog-outline' },
				// {title: 'Companies', to: '/companies', icon: 'mdi-briefcase-outline'},
			],
		}
	},
	methods: {
		handleLinkClick(to) {
			this.$router.push(to)
		},
	},
}
</script>

<style lang="scss" scoped>
.v-toolbar-title {
	span {
		font-size: 24px;
		line-height: 24px;
	}
}
.v-list-item-title {
	font-size: 16px;
	font-weight: 500;
	line-height: 20px;
	color: rgba(255, 255, 255, 0.45);
}
</style>
